org.scalatest.WordSpec

# ResultOfTaggedAsInvocationOnString

#### class ResultOfTaggedAsInvocationOnString extends AnyRef

Class that supports the registration of tagged tests.

Instances of this class are returned by the `taggedAs` method of class `WordSpecStringWrapper`.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfTaggedAsInvocationOnString
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfTaggedAsInvocationOnString (specText: String, tags: List[Tag])

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def ignore (testFun: ⇒ Unit): Unit

    Supports registration of tagged, ignored tests.

    Supports registration of tagged, ignored tests.

    For example, this method supports syntax such as the following:

        "complain on peek" taggedAs(SlowTest) ignore { ... }
                                              ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

14. #### def in (testFun: ⇒ Unit): Unit

    Supports tagged test registration.

    Supports tagged test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" taggedAs(SlowTest) in { ... }
                                              ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

15. #### def is (testFun: ⇒ PendingNothing): Unit

    Supports registration of tagged, pending tests.

    Supports registration of tagged, pending tests.

    For example, this method supports syntax such as the following:

        "complain on peek" taggedAs(SlowTest) is (pending)
                                              ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any